> For the complete documentation index, see [llms.txt](https://docs.intrepidcs.com/vspy-3-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.intrepidcs.com/vspy-3-documentation/shared-features-in-vehicle-spy/shared-features-calculated-signal-editor.md).

# Shared Features: Calculated Signal Editor

The Calculated Signal Editor (Figure 1) is an easy way to create calculated signals for [Application Signals](/vspy-3-documentation/vehicle-spy-main-menus/main-menu-scripting-and-automation/application-signals.md) or [Tx Panel signals](/vspy-3-documentation/vehicle-spy-main-menus/main-menu-spy-networks/transmit-panel/dynamic-transmit-message-bytes.md).

Use the Calculation Type drop down to select the desired waveform ![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smOne.gif). The list of choices will depend upon if the signal type is [analog/digital](/vspy-3-documentation/shared-features-in-vehicle-spy/shared-features-calculated-signal-editor/shared-features-calculated-analog-or-digital-signals.md) or [text](/vspy-3-documentation/shared-features-in-vehicle-spy/shared-features-calculated-signal-editor/shared-features-calculated-text-signals.md). The range of choices includes: Random Data, Sinusoidal Wave, Ramp, Triangle, Square, Custom List, Equation, Static Value, and Remote Signal.

Once a Calculation Type has been selected, fill in the parameters for that type of calculated signal in the fields below ![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smTwo.gif). Signal information is displayed at the bottom of the editor to help enter in the proper information ![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smThree.gif). It gives the type, minimum, maximum, units, and the resolution of the signal being built.

The right side of the editor displays a 5 second preview showing what the output signal would look like if it was graphed ![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smFour.gif).

Once the signal is setup click the Ok Button to set the changes ![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smFive.gif).

![Figure 1: The Calculated Signal Editor.](/files/EtxSY1fXOnLcied6kdne)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.intrepidcs.com/vspy-3-documentation/shared-features-in-vehicle-spy/shared-features-calculated-signal-editor.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
